<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Photomatching">

    <LinearLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/txt_header"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:textColor="@color/color_white"
            android:text="Photo matching"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>

<!--    <LinearLayout-->
<!--        android:layout_width="408dp"-->
<!--        android:layout_height="638dp"-->
<!--        android:layout_marginTop="40dp"-->
<!--        android:orientation="horizontal"-->
<!--        app:layout_constraintBottom_toTopOf="@+id/layout_button"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        app:layout_constraintHorizontal_bias="0.0"-->
<!--        app:layout_constraintStart_toStartOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent"-->
<!--        app:layout_constraintVertical_bias="0.0">-->

<!--&lt;!&ndash;        <TextView&ndash;&gt;-->
<!--&lt;!&ndash;            android:id="@+id/idTVHeading"&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_width="match_parent"&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_height="wrap_content"&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_margin="20dp"&ndash;&gt;-->
<!--&lt;!&ndash;            android:gravity="center"&ndash;&gt;-->
<!--&lt;!&ndash;            android:padding="4dp"&ndash;&gt;-->
<!--&lt;!&ndash;            android:text="Showing Image View from File Path"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textAlignment="center"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textColor="@color/title_color"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textSize="20sp"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textStyle="bold" />&ndash;&gt;-->

<!--        <ImageView-->
<!--            android:id="@+id/imageView"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="match_parent"-->
<!--            android:layout_alignParentTop="true"-->
<!--            android:layout_centerHorizontal="true"-->
<!--            android:padding="16dp" />-->

<!--    </LinearLayout>-->

    <TextView
        android:id="@+id/txt_part_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:padding="4dp"
        android:text="Part name"
        android:textAlignment="center"
        android:textColor="@color/title_color"
        android:textSize="20sp"
        android:textStyle="bold"
        tools:layout_editor_absoluteX="24dp"
        android:layout_marginTop="20dp"
        app:layout_constraintTop_toBottomOf="@+id/layout_header" />
    <TextView
        android:id="@+id/txt_part_no"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:padding="4dp"
        android:text="Part no"
        android:textAlignment="center"
        android:textColor="@color/title_color"
        android:textSize="20sp"
        android:textStyle="bold"
        tools:layout_editor_absoluteX="24dp"

        app:layout_constraintTop_toBottomOf="@+id/txt_part_name" />
    <TextView
        android:id="@+id/txt_commen"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:padding="4dp"
        android:text="Please scan the label"
        android:textAlignment="center"
        android:textColor="@color/title_color"
        android:textSize="20sp"
        android:textStyle="bold"
        tools:layout_editor_absoluteX="24dp"
        android:layout_marginTop="100dp"
        app:layout_constraintTop_toBottomOf="@+id/txt_part_no" />

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="16dp"
        android:padding="16dp"
        app:layout_constraintTop_toBottomOf="@+id/layout_header"
        tools:layout_editor_absoluteX="4dp" />

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />

    <LinearLayout
        android:id="@+id/layout_button"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <Button
            android:id="@+id/btn_clear"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_yellow"
            android:text="Clear [P3]"
            android:onClick="onClick"
            android:textSize="16dp" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>